#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.9
visibility:           public
id:                   foldl-1.4.9-XmaNTxvY8H4j92NIMTgiL
key:                  foldl-1.4.9-XmaNTxvY8H4j92NIMTgiL
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  197edce690c630e304e663712731cda2
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.9
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.9
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.9
hs-libraries:         HSfoldl-1.4.9-XmaNTxvY8H4j92NIMTgiL
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-Ksm7Lf7poS984sRjo6P4Bd containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-B8ECnPmIwukCF0VUFUS7Nf
    mwc-random-0.15.0.1-8n38PaCKOnQ420Nxg7GphB
    primitive-0.7.1.0-9vDBR6Yt8PIRUmCKq60Pv
    profunctors-5.5.2-LgqHbawhDYN8IVS355wKIQ
    semigroupoids-5.3.4-JOWJHAWlv5tKjQWelPqsDE text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.12.0-FtX5RkAZb9w53Z0cPV7UMP
    vector-0.12.1.2-LSJQcQOi3oBDTHyR50MRW6

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

